# Uses of Interface
java.lang.classfile.attribute.SyntheticAttribute

Packages that use SyntheticAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of SyntheticAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type SyntheticAttribute
Modifier and Type
Method
Description
`static AttributeMapper<SyntheticAttribute>`
Attributes.`synthetic()`
Returns the mapper for the `Synthetic` attribute.

## Uses of SyntheticAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type SyntheticAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`SyntheticAttribute`
Models the `Synthetic` attribute (JVMS §4.7.8), which marks a class member as implementation-specific artifacts.
Methods in java.lang.classfile.attribute that return SyntheticAttribute
Modifier and Type
Method
Description
`static SyntheticAttribute`
SyntheticAttribute.`of()`
Returns a `Synthetic` attribute.